Bug 64226 - python-opencl package generate segmentation fault at pipe_r600.so
Summary: python-opencl package generate segmentation fault at pipe_r600.so
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-05 00:06 UTC by Erdem U. Altınyurt
Modified: 2013-11-18 20:36 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Fix (2.38 KB, text/plain)
2013-11-15 19:49 UTC, Tom Stellard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erdem U. Altınyurt 2013-05-05 00:06:18 UTC
Using OpenSUSE llvm-trunk & Mesa-trunk 3.9 Kernel x86_64
Using OpenSuSE repo package: https://build.opensuse.org/package/show?project=home%3A-miska-&package=python-opencl

Source included also, packed version of : https://github.com/srossross/oclpb


death@triQuad:/home/compile/svn/cgminer> python
Python 2.7.3 (default, Apr 14 2012, 08:58:41) [GCC] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import opencl
>>> opencl.test()
[<opencl.Device name='AMD BARTS' type=4L>]
test_broadcast_0D (test.test_memobj.TestBuffer) ... ok
test_broadcast_2D (test.test_memobj.TestBuffer) ... ok
test_copy_1D (test.test_memobj.TestBuffer) ... FAIL
test_copy_2D (test.test_memobj.TestBuffer) ... FAIL
test_copy_2D_negative_stride (test.test_memobj.TestBuffer) ... expected failure
test_copy_contig (test.test_memobj.TestBuffer) ... Segmentation fault
death@triQuad:/home/compile/svn/cgminer>
Comment 1 Tom Stellard 2013-11-14 02:53:40 UTC
Is this still an issue with the latest mesa and LLVM ?
Comment 2 Tom Stellard 2013-11-15 19:49:54 UTC
Created attachment 89283 [details]
Fix

This patch should fix the crash.
Comment 3 Tom Stellard 2013-11-18 20:30:52 UTC
Fixed in mesa master by 1b9511d7ce70a9f9cadd0c03bd0c916b88b6dd43


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.